/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to create a Vulnerability Audit.
 */
export interface CreateVulnerabilityAuditDetails {
    /**
     * The Oracle Cloud identifier ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the Knowledge Base.
     */
    "knowledgeBaseId": string;
    /**
     * The Oracle Cloud identifier ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the compartment associated with the Vulnerability Audit.
     * If compartment identifier is not provided the compartment of the associated Knowledge Base will be used instead.
     *
     */
    "compartmentId"?: string;
    /**
     * List of Application Dependencies (without vulnerabilities).
     */
    "applicationDependencies"?: Array<model.ApplicationDependency>;
    /**
     * The type of the build tool.
     */
    "buildType": string;
    "configuration"?: model.VulnerabilityAuditConfiguration;
    /**
     * The name of the Vulnerability Audit.
     */
    "displayName"?: string;
    "source"?: model.UnknownSourceVulnerabilityAuditSource | model.OciResourceVulnerabilityAuditSource | model.ExternalResourceVulnerabilityAuditSource;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: `{\"bar-key\": \"value\"}`
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: `{\"foo-namespace\": {\"bar-key\": \"value\"}}`
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateVulnerabilityAuditDetails {
    function getJsonObj(obj: CreateVulnerabilityAuditDetails): object;
    function getDeserializedJsonObj(obj: CreateVulnerabilityAuditDetails): object;
}
